gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Object Input-handling code for the main loop of programs.
- Constructor
  2.12.0.0
  Basic constructor.
- Method
  2.12.0.0
  System.Obsolete
  System.UInt32 `` `` `` `` `` `` an , a file descriptor. an , the condition. an , the function to call. a , the marshaller to use instead of the function (if non-null). a , callback data passed to the function. a , the callback function to call with "data" when the input handler is removed, or null. Registers a function to be called when a condition becomes true on a file descriptor. a , a unique id for the event source; to be used with .
- Method
  2.12.0.0
  System.Obsolete
  System.Void `` a identifying the function to remove, provided by . Removes the function with the given id.